<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
EditVariables Method (IEdmVariableMgr5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmVariableMgr5 Interface : EditVariables Method (IEdmVariableMgr5)

Visual Basic
C#
C++/CLI

hParentWnd
  Parent window handle

Displays the Edit Variables dialog box.

# Syntax

Visual Basic |
--- | ---

    Function EditVariables( _
       ByVal hParentWnd As System.Integer _
    ) As System.Boolean

C# |
--- | ---

    System.bool EditVariables(
       System.int hParentWnd
    )

C++/CLI |
--- | ---

    System.bool EditVariables(
    &   System.int hParentWnd
    )

#### Parameters

hParentWnd
  Parent window handle

#### Return Value

True if one or more variables are updated; false if not

# Example

Add Card Variables to Vault (VB.NET)
Add Card Variables to Vault (C#)

# Remarks

Return codes:

- S_OK: The method successfully executed.
- E_EDM_PERMISSION_DENIED: The user lacks permission to edit variables.

# See Also

####

IEdmVariableMgr5 Interface
IEdmVariableMgr5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2